# photos2pdf - Create PDF from Series of Photos

## Description

Optimized for the processing of ad-hoc photos of flipcharts and whiteboards,
this converter utility scans a given directory for each file with the `.jpg`
filename extension, post-processes it (stretching contrast and trimming content
to the actual drawings. From the resulting pictures a PDF is generated, one
picture per page.

## Dependencies

This utility requires the following tools to be installed:

```shell
apt install imagemagick pdfjam pdftk
```

## Installation

```shell
git clone https://tk-sls.de/git/tk-sls.de/photos2pdf.git
cd photos2pdf
sudo make install
```

## Usage

Given a directory `some_directory` containing one or more JPEG pictures (the
filenames have to end with `.jpg`):

```shell
photos2pdf --result-filename output.pdf some_directory
```

The utility offers some options that control the aspects of the conversion;
use the `--help` option for usage instructions.

## Author and Copyright

©2023 Tilman Kranz &lt;(t.kranz@tk-sls.de)[mailto:t.kranz@tk-sls.de]&gt;

